<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ServiceRequiredFields StructType
 * @subpackage Structs
 */
class JP_ServiceRequiredFields extends AbstractStructBase
{
    /**
     * The ServiceBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceBooking
     */
    public $ServiceBooking;
    /**
     * Constructor method for JP_ServiceRequiredFields
     * @uses JP_ServiceRequiredFields::setServiceBooking()
     * @param \StructType\JP_ServiceBooking $serviceBooking
     */
    public function __construct(\StructType\JP_ServiceBooking $serviceBooking = null)
    {
        $this
            ->setServiceBooking($serviceBooking);
    }
    /**
     * Get ServiceBooking value
     * @return \StructType\JP_ServiceBooking|null
     */
    public function getServiceBooking()
    {
        return $this->ServiceBooking;
    }
    /**
     * Set ServiceBooking value
     * @param \StructType\JP_ServiceBooking $serviceBooking
     * @return \StructType\JP_ServiceRequiredFields
     */
    public function setServiceBooking(\StructType\JP_ServiceBooking $serviceBooking = null)
    {
        $this->ServiceBooking = $serviceBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ServiceRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
